LANYINGDevelopers
Web & Mini ProgramiOSAndroidC++Server API

groupManage#

groupManage#

Group management

groupManage.asyncGetGroupInfo(group_id, froce) ⇒ Promise.<GroupInfoAndSettings>#

Get group information

Kind: static method of groupManage
Returns: Promise.<GroupInfoAndSettings> - Group info

ParamTypeDescription
group_idnumberGroupID
frocebooleanWhether to force pull from server: true - pull from server, false - prefer to pull from local storage

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetGroupInfo" %}{% endlanying_code_snippet %}

groupManage.asyncGetJoinedGroups(froce) ⇒ Promise.<Array.<number>>#

Get the group to join

Kind: static method of groupManage
Returns: Promise.<Array.<number>> - Group ID list

ParamTypeDescription
frocebooleanWhether to force pull from server: true - pull from server, false - prefer to pull from local storage

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetJoinedGroups" %}{% endlanying_code_snippet %}

groupManage.openGroup(group_id)#

Open group, this method will prepare some necessary information for the group chat screen.

Kind: static method of groupManage

ParamTypeDescription
group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="openGroup" %}{% endlanying_code_snippet %}

groupManage.getAllGroupDetail() ⇒ Object.<number, module:types~GroupInfoAndSettings>#

Get all cached group details

Kind: static method of groupManage
Returns: Object.<number, module:types~GroupInfoAndSettings> - Group details
Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="getAllGroupDetail" %}{% endlanying_code_snippet %}

groupManage.asyncGetGroupMembers(group_id) ⇒ Promise.<Array.<number>>#

Get group member ids (asynchronous)

Kind: static method of groupManage
Returns: Promise.<Array.<number>> - List of group member ids

ParamTypeDescription
group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetGroupMembers" %}{% endlanying_code_snippet %}

groupManage.getGroupMembers(group_id) ⇒ Array.<GroupMember>#

Get group members (synchronous)

Kind: static method of groupManage
Returns: Array.<GroupMember> - List of group members

ParamTypeDescription
group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="getGroupMembers" %}{% endlanying_code_snippet %}

groupManage.asyncGetGroupListDetail(gids) ⇒ Promise.<Array.<module:types~BriefGroupInfoAndSettings>>#

Get group details by id

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~BriefGroupInfoAndSettings>> - List of group details

ParamTypeDescription
gidsArray.<number>Group ID list

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetGroupListDetail" %}{% endlanying_code_snippet %}

groupManage.getGruopMessage(gid) ⇒ Array.<Meta>#

Get group information

Kind: static method of groupManage
Returns: Array.<Meta> - List of group messages

ParamTypeDescription
gidnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="getGruopMessage" %}{% endlanying_code_snippet %}

groupManage.asyncGetInfo(params) ⇒ Promise.<GroupInfoAndSettings>#

Get group details

Kind: static method of groupManage
Returns: Promise.<GroupInfoAndSettings> - Group details

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetInfo" %}{% endlanying_code_snippet %}

groupManage.asyncGetMemberList(param) ⇒ Promise.<Array.<module:types~GroupMember>>#

Get group member list

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupMember>> - List of group members

ParamTypeDescription
paramobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetMemberList" %}{% endlanying_code_snippet %}

groupManage.readGroupMessage(group_id, mid)#

Set group message to read

Kind: static method of groupManage

ParamTypeDescription
group_idnumberGroupID
midnumberMessageID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="readGroupMessage" %}{% endlanying_code_snippet %}

groupManage.recallMessage(uid, mid)#

Revoke message

Kind: static method of groupManage

ParamTypeDescription
uidnumberGroupID
midnumberMessageID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="recallMessage" %}{% endlanying_code_snippet %}

groupManage.appendMessageContent(uid, mid, content)#

Append message content

Kind: static method of groupManage

ParamTypeDescription
uidnumberSessionID
midnumberMessageID
contentstringAppended message content

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="appendMessageContent" %}{% endlanying_code_snippet %}

groupManage.replaceMessage(uid, mid, content, config, ext)#

Update message content

Kind: static method of groupManage

ParamTypeDefaultDescription
uidnumberSessionID
midnumberMessageID
contentstringUpdated message content
configstring | objectnullUpdated message configuration
extstring | objectnullUpdated message extension data

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="replaceMessage" %}{% endlanying_code_snippet %}

groupManage.getUnreadCount(gid) ⇒ number#

Get number of unread group messages

Kind: static method of groupManage
Returns: number - Unread message-number

ParamTypeDescription
gidnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="getUnreadCount" %}{% endlanying_code_snippet %}

groupManage.asyncGetAdminList(params) ⇒ Promise.<Array.<module:types~GroupMember>>#

Get the list of group Admins

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupMember>> - List of group admins

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetAdminList" %}{% endlanying_code_snippet %}

groupManage.asyncAdminAdd(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Add group Admin

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncAdminAdd" %}{% endlanying_code_snippet %}

groupManage.asyncAdminRemove(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Remove group Admin

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncAdminRemove" %}{% endlanying_code_snippet %}

groupManage.asyncGetAnouncementById(params) ⇒ Promise.<GroupAnnouncement>#

Get group announcement details

Kind: static method of groupManage
Returns: Promise.<GroupAnnouncement> - Group announcement details

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.announcement_idArray.<number>Announcement ID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetAnouncementById" %}{% endlanying_code_snippet %}

groupManage.asyncAnouncementDelete(params) ⇒ Promise.<boolean>#

Delete group announcement

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.announcement_idArray.<number>Announcement ID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncAnouncementDelete" %}{% endlanying_code_snippet %}

groupManage.asyncAnnouncementEdit(params) ⇒ Promise.<GroupAnnouncement>#

Edit group announcement

Kind: static method of groupManage
Returns: Promise.<GroupAnnouncement> - Group announcement details

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.titlestringAnnouncement tittle
params.contentstringAnnouncement content

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncAnnouncementEdit" %}{% endlanying_code_snippet %}

groupManage.asyncGetAnnouncementList(params) ⇒ Promise.<Array.<module:types~GroupAnnouncement>>#

Group announcement list

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupAnnouncement>> - List of group announcement details

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetAnnouncementList" %}{% endlanying_code_snippet %}

groupManage.asyncCreate(params) ⇒ Promise.<GroupInfoAndSettings>#

Create group

Kind: static method of groupManage
Returns: Promise.<GroupInfoAndSettings> - Group details

ParamTypeDescription
paramsGroupInfoRequestRequest parameters

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncCreate" %}{% endlanying_code_snippet %}

groupManage.asyncDestroy(params) ⇒ Promise.<boolean>#

Dissolve group

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncDestroy" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateAvatar(params) ⇒ Promise.<boolean>#

Update group avatar

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuestringAvatarAddress

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateAvatar" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateDescription(params) ⇒ Promise.<boolean>#

Update group description

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuestringGroup description

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateDescription" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateExt(params) ⇒ Promise.<boolean>#

Update group extension information

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuestringExtension information

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateExt" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateName(params) ⇒ Promise.<boolean>#

Update group name

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuestringGroup name

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateName" %}{% endlanying_code_snippet %}

groupManage.asyncGroupMsgMutemode(params) ⇒ Promise.<boolean>#

Set do-not-disturb conditions for group message

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.msg_mute_modenumberGroup message blocking mode: 0 - no blocking, 1 - blocking local message notifications, 2 - blocking all, means not receiving messages

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupMsgMutemode" %}{% endlanying_code_snippet %}

groupManage.asyncGroupBannedList(params) ⇒ Promise.<Array.<module:types~GroupMemberBanned>>#

Get group ban list

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupMemberBanned>> - List of banned members

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupBannedList" %}{% endlanying_code_snippet %}

groupManage.asyncGroupBab(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Ban group member

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of request results

ParamTypeDescription
paramsGroupBannedMemberRequestRequest parameters

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupBab" %}{% endlanying_code_snippet %}

groupManage.asyncGroupUnban(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Unban group memberBan

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of request results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupUnban" %}{% endlanying_code_snippet %}

groupManage.asyncGetSettings(group_id) ⇒ Promise.<GroupInfoAndSettings>#

Get group settings

Kind: static method of groupManage
Returns: Promise.<GroupInfoAndSettings> - Group settings

ParamTypeDescription
group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetSettings" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateAllowMemberInvitation(params) ⇒ Promise.<boolean>#

Set whether group members can invite new member

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuebooleanGroup member invite settings: false - do not allow invitations, true - allow invitations (default)

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateAllowMemberInvitation" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateAllowMemberModify(params) ⇒ Promise.<boolean>#

Set whether group members can modify group information

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuebooleanGroup members modify group info settings: false - group members can't modify group info (default), true - group members can modify group info

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateAllowMemberModify" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateEnableReadack(params) ⇒ Promise.<boolean>#

Set whether to enable read mode in group

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuebooleanEnable or disable group message read feature: false - disabled, true - enabled

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateEnableReadack" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateHistoryVisible(params) ⇒ Promise.<boolean>#

Set whether group history is visible

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuebooleanSet whether the group history is visible: false - not visible, true - visible

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateHistoryVisible" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateRequireadminapproval(params) ⇒ Promise.<boolean>#

Set whether need to apply for group joining

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.apply_approvalbooleanGroup membership application settings, 0: Agree all requests 1: Need to confirm by Admin 2: Reject all requests

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateRequireadminapproval" %}{% endlanying_code_snippet %}

groupManage.asyncBanAll(params) ⇒ Promise.<GroupBanAllResponse>#

Ban all members, only Admins can send messages

Kind: static method of groupManage
Returns: Promise.<GroupBanAllResponse> - Results

ParamTypeDescription
paramsobjectParameter
params.durationnumberDuration of banned in minutes,int64
params.group_idnumberGroup id,int64

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncBanAll" %}{% endlanying_code_snippet %}

groupManage.asyncUnBanAll(params) ⇒ Promise.<boolean>#

Unban all members

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroup id,int64

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUnBanAll" %}{% endlanying_code_snippet %}

groupManage.asyncOwnerTransfer(params) ⇒ Promise.<GroupUserRelationResponse>#

Change group Owner

Kind: static method of groupManage
Returns: Promise.<GroupUserRelationResponse> - Results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.new_ownernumberUser ID of the new group owner

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncOwnerTransfer" %}{% endlanying_code_snippet %}

groupManage.asyncGetUserJoined(params) ⇒ Promise.<Array.<number>>#

Get the list of groups for the user

Kind: static method of groupManage
Returns: Promise.<Array.<number>> - List of group IDs

ParamTypeDescription
paramsobjectParameter, Empty object

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetUserJoined" %}{% endlanying_code_snippet %}

groupManage.asyncApply(params) ⇒ Promise.<GroupUserRelationResponse>#

Apply to join group

Kind: static method of groupManage
Returns: Promise.<GroupUserRelationResponse> - Results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.reasonstringReason for membership application

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncApply" %}{% endlanying_code_snippet %}

groupManage.asyncApplyHandle(params) ⇒ Promise.<GroupUserRelationResponse>#

Process user's group joining application

Kind: static method of groupManage
Returns: Promise.<GroupUserRelationResponse> - Results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_idnumberUser ID
params.approvalbooleanApproval result: true for agree, false for reject

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncApplyHandle" %}{% endlanying_code_snippet %}

groupManage.asyncGroupBockedlist(params) ⇒ Promise.<Array.<module:types~GroupBlockedListItem>>#

Get group blacklist

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupBlockedListItem>> - GroupList of blacklists

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupBockedlist" %}{% endlanying_code_snippet %}

groupManage.asyncGroupBlock(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Add member to blacklist

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupBlock" %}{% endlanying_code_snippet %}

groupManage.asyncGroupUnblock(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Remove member from blacklist

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGroupUnblock" %}{% endlanying_code_snippet %}

groupManage.asyncKick(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Kick out group member

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncKick" %}{% endlanying_code_snippet %}

groupManage.asyncGetInvitationList() ⇒ Promise.<Array.<module:types~GroupInvitation>>#

Get group invitation list

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupInvitation>> - List of group invitations
Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetInvitationList" %}{% endlanying_code_snippet %}

groupManage.asyncInvite(params) ⇒ Promise.<Array.<module:types~GroupUserRelationResponse>>#

Invite member to group

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupUserRelationResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncInvite" %}{% endlanying_code_snippet %}

groupManage.asyncInviteHandle(params) ⇒ Promise.<boolean>#

Process group invitations

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_idnumberUser ID
params.approvalbooleanApproval result: true for agree, false for reject

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncInviteHandle" %}{% endlanying_code_snippet %}

groupManage.asyncGetMemberDisplayName(params) ⇒ Promise.<Array.<module:types~GroupMember>>#

Batch retrieval of group member profiles

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupMember>> - List of group members

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.user_listArray.<number>List of group members

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetMemberDisplayName" %}{% endlanying_code_snippet %}

groupManage.asyncLeave(params) ⇒ Promise.<boolean>#

Quit group

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncLeave" %}{% endlanying_code_snippet %}

groupManage.asyncUpdateDisplayName(params) ⇒ Promise.<boolean>#

Modify group profile

Kind: static method of groupManage
Returns: Promise.<boolean> - Success or not

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.valuestringNew user profile

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncUpdateDisplayName" %}{% endlanying_code_snippet %}

groupManage.asncGetApplicationList(params) ⇒ Promise.<Array.<module:types~GroupApplication>>#

Get the list of group membership requests

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupApplication>> - List of group applications

ParamTypeDescription
paramsobjectParameter
params.group_listArray.<number>List of groups

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asncGetApplicationList" %}{% endlanying_code_snippet %}

groupManage.asyncGetFileList(params) ⇒ Promise.<Array.<module:types~GroupSharedFile>>#

Get the list of group files

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupSharedFile>> - List of group files

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncGetFileList" %}{% endlanying_code_snippet %}

groupManage.asyncFileDelete(params) ⇒ Promise.<Array.<module:types~GroupSharedFileResponse>>#

Delete group file

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupSharedFileResponse>> - List of results

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroupID
params.file_listArray.<number>List of file IDs

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncFileDelete" %}{% endlanying_code_snippet %}

groupManage.asyncFileUpload(params) ⇒ Promise.<Array.<module:types~GroupSharedFile>>#

Upload group file

Kind: static method of groupManage
Returns: Promise.<Array.<module:types~GroupSharedFile>> - List of group files

ParamTypeDescription
paramsobjectParameter
params.group_idnumberGroup id,int64
params.namestringFile name
params.sizenumberFile size,int64
params.typestringFile type
params.urlstringFile url

Example

{% lanying_code_snippet repo="lanying-im-web",class="groupManage",function="asyncFileUpload" %}{% endlanying_code_snippet %}
Generated API content with concise AI notes where context helps.